<?php
require_once './Control/ControlOpIdioma.php';
require_once './Util/Utilidades.php';
$controlOpIdioma = new ControlOpIdioma();
$opIdioma = $controlOpIdioma->pegarTodosOpIdiomas();
$ar = Utilidades::OrdenarArray($opIdioma->allToArray(), 'nome');
$arquivoForm = 'adm_idiomaForm.php';
?>
<button value="cmdNovo" onclick="javascript:mostrarArquivoDados('<?php echo $arquivoForm ?>','#dados','acao=inserir&lang=ptbr');">Novo registro</button>
<table class="datatable">
    <thead>
        <tr>
            <?php
            $ColNomes = '<th>Nome</th><th>lang</th><th></th>';
            echo $ColNomes;
            ?>
        </tr>
    </thead>
    <tbody>
        <?php
        foreach ($ar as $key => $row) {
            $pk = $row['opidiomasid'];
            $nome = $row['nome'];
            echo '<tr class="gradeA" id="opIdiomaID_' . $pk .'">';
            echo '<td>' . $row['nome'] . '</td>';
            echo '<td>' . $row['lang'] . '</td>';
            echo '<td><a href="javascript:mostrarArquivoDados(\'' . $arquivoForm .'\',\'#dados\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');">Editar</a> / <a href="javascript:excluirRegistro(\'' . $pk . '\',\'' . $nome .'\');" class="editor_remove">Excluir</a></td>';
            echo '</tr>';
        }
        ?>
    </tbody>
    <tfoot><?php echo $ColNomes?></tfoot>
</table>
<script>
    iniciarDataTable('.datatable');
</script>
<?php
        FormAjax::ExcluirRegistro('adm_idiomaCMD.php');
?>